package de.ivu.elect.jee.entity;

import java.io.Serializable;

/**
 * ELECT-2710
 * Klasse verhindert, dass Hibernate die Entität bei Aufrufen von proxy-Methoden durch das Proxy-Objekt ersetzt
 * @param <E>
 */
public class EntityContainer<E> implements Serializable {

  private final E entity;

  public EntityContainer(E entity) {
    this.entity = entity;
  }

  public E getEntity() {
    return entity;
  }

}
